Subject: [bess] Questions about ARP Probes in draft-ietf-bess-evpn-l2gw-proto-01

From: Alexander Vainshtein <[email-masked]>
Date: Sun, 27 Mar 2022 14:06:53 +0000

Hi,
I have some questions regarding the highlighted text in Section 3.2.2 of draft-ietf-evpn-l2gw-proto-01:

   Peering PE in Single Flow Active mode, upon receiving notification of
   a protocol convergence-event from access (such as TCN), MUST:

   *  As per legacy VPLS, perform a local MAC flush on the access-facing
      interfaces.  An ARP probe is also sent for all hosts previously
      locally-attached.

Here are my questions:

  1.  ARP Probes are mentioned in Section 7.2 of RFC 9135<https://datatracker.ietf.org/doc/html/rfc9135#section-7.2> (i.e. in the context of EVPN IRB) and also in Section 3.3 of RFC 9161<https://datatracker.ietf.org/doc/html/rfc9161#section-3.3> (in a generic context).  These two contexts are different (e.g., in the context of an EVPN IRB, IP and MAC addresses of the EVPN IRB may be used as the Sender IP and MAC addresses respectively of the ARP Probe).
     *   Can you please clarify the intended context in the L2GW-Proto draft?
     *   My guess (FWIW) is that the intended context is that pf RFC 9135 because RFC 9161 is not even mentioned as a reference in the draft
  2.  In order to send ARP Probes triggered by notification of a L2 control protocol convergence event, the MAC-VRFs that are attached to a multi-homed ES in Single Flow Active mode has top maintain relationship between locally learned IP→MAC pairs and Ethernet Segments to which it is attached. Such a relationship is natively attached if the MAC-VRF is configured (implicitly or explicitly) to advertise EVPN Type 2 routes for locally learned IP→MAC pairs.
     *   Can you please clarify what happens if the MAC-VRF that is attached to a MH ES in Single Flow-Active mode is configured (explicitly or implicitly) not to advertise EVPN Type 2 routes for locally learned IP→MAC pairs?
     *   The context for this this question is at least one encountered implementation that does not advertise EVPN Type 2 routes for locally learned IP→MAC pairs for MAC-VRFs that are not used by EVPN IRB
  3.  RFC 9135 mentions tow ways in which ARP Probes can be sent:
     *   Locally via a specific attachment circuit of a given MAC-VRF
     *   Flooded locally via all attachment circuits of the MAC-VRF in question and also sent to all remote PEs.
Can you please clarify which method do you have in mind in the quoted text?

Your feedback would be highly appreciated.

Regards, and lots of thanks
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. and its Affiliates that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.